PtexFilters.cpp File Reference
`#include "PtexPlatform.h"`
`#include "Ptexture.h"`
`#include "PtexSeparableFilter.h"`
`#include "PtexSeparableKernel.h"`
`#include "PtexTriangleFilter.h"`

Go to the source code of this file.

## Classes

class | PtexPointFilter
| Point-sampling filter for rectangular textures. More...
class | PtexPointFilterTri
| Point-sampling filter for triangular textures. More...
class | PtexWidth4Filter
| Separable filter with width=4 support. More...
class | PtexBicubicFilter
| Separable bicubic filter. More...
class | PtexGaussianFilter
| Separable gaussian filter. More...
class | PtexBoxFilter
| Rectangular box filter. More...
class | PtexBilinearFilter
| Bilinear filter (for rectangular textures) More...